Skip to main content
`Ctrl`+`K`

# PetscLogStageGetVisible

Returns stage visibility in `PetscLogView()`

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogStageGetVisible(PetscLogStage stage, PetscBool *isVisible)

Not Collective

## Input Parameter

- stage - The stage

## Output Parameter

- isVisible - The visibility flag, `PETSC_TRUE` to print, else `PETSC_FALSE` (defaults to `PETSC_TRUE`)

## See Also

Profiling, `PetscLogStageSetVisible()`, `PetscLogStageRegister()`, `PetscLogStagePush()`, `PetscLogStagePop()`, `PetscLogView()`, `PetscLogGetDefaultHandler()`

## Level

intermediate

## Location

src/sys/logging/plog.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages